llm judge
Create llm judge configs
Requires scopes: eval:write
POST
/
api
/
llm-judge
/
configs
Create llm judge configs
curl --request POST \
--url https://evalgate.com/api/llm-judge/configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"promptTemplate": "<string>",
"provider": "local",
"aggregation": "all_pass",
"model": "<string>",
"criteria": {},
"settings": {},
"passThreshold": 123,
"judges": [
{
"type": "rule",
"id": "<string>",
"provider": "local",
"threshold": 123,
"model": "<string>",
"temperature": 123,
"weight": 123,
"seed": 123,
"topP": 123,
"maxTokens": 123,
"rule": "json_schema",
"top_p": 123,
"timeoutMs": 123,
"cacheEnabled": false
}
],
"instabilityThreshold": 123,
"stabilityRuns": 123
}
'import requests
url = "https://evalgate.com/api/llm-judge/configs"
payload = {
"name": "<string>",
"promptTemplate": "<string>",
"provider": "local",
"aggregation": "all_pass",
"model": "<string>",
"criteria": {},
"settings": {},
"passThreshold": 123,
"judges": [
{
"type": "rule",
"id": "<string>",
"provider": "local",
"threshold": 123,
"model": "<string>",
"temperature": 123,
"weight": 123,
"seed": 123,
"topP": 123,
"maxTokens": 123,
"rule": "json_schema",
"top_p": 123,
"timeoutMs": 123,
"cacheEnabled": False
}
],
"instabilityThreshold": 123,
"stabilityRuns": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
promptTemplate: '<string>',
provider: 'local',
aggregation: 'all_pass',
model: '<string>',
criteria: {},
settings: {},
passThreshold: 123,
judges: [
{
type: 'rule',
id: '<string>',
provider: 'local',
threshold: 123,
model: '<string>',
temperature: 123,
weight: 123,
seed: 123,
topP: 123,
maxTokens: 123,
rule: 'json_schema',
top_p: 123,
timeoutMs: 123,
cacheEnabled: false
}
],
instabilityThreshold: 123,
stabilityRuns: 123
})
};
fetch('https://evalgate.com/api/llm-judge/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"judges": [
{
"type": "llm",
"id": "<string>",
"provider": "local",
"model": "<string>",
"temperature": 123,
"weight": 123,
"seed": 123,
"topP": 123,
"maxTokens": 123,
"top_p": 123,
"timeoutMs": 123,
"cacheEnabled": false
}
],
"aggregation": "all_pass",
"passThreshold": 123,
"instabilityThreshold": 123,
"stabilityRuns": 123,
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"model": "<string>",
"promptTemplate": "<string>",
"promptTemplateHash": "<string>",
"criteria": {},
"settings": {
"model": "<string>",
"temperature": 123,
"maxTokens": 123,
"retryCount": 123,
"provider": "local",
"aggregation": "all_pass",
"passThreshold": 123,
"instabilityThreshold": 123,
"stabilityRuns": 123,
"judges": [
{
"model": "<string>",
"id": "<string>",
"type": "llm",
"provider": "local",
"temperature": 123,
"maxTokens": 123,
"weight": 123
}
]
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"provider": "local"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
provider
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>
Available options:
local aggregation
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
Available options:
all_pass Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
- Option 1
- Option 2
Show child attributes
Show child attributes
aggregation
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
all_pass Show child attributes
Show child attributes
Show child attributes
Show child attributes
provider
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>
Available options:
local ⌘I
Create llm judge configs
